%define api_version 1.6

Summary:    A GNU tool for automatically creating Makefiles
Name:       automake16
Version:    %{api_version}.3
Release:    18%{?dist}.1
License:    GPLv2+ and MIT and OFSFDL
Group:      Development/Tools
Source:     ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
Source10:   filter-provides-automake.sh
Source11:   filter-requires-automake.sh
URL:        http://sources.redhat.com/automake
Obsoletes:  automake = 1.6.3
# Required for tests:
Buildrequires:  autoconf >= 2.52
Buildrequires:  bison flex texinfo
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch:  noarch
Buildroot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:     automake-pythondir-80994.patch
Patch2:     automake-1.6.3-info.patch
Patch3:     automake-1.6.3-man2-check.patch
Patch4:     automake-1.6.3-checks.patch
Patch5:     automake-1.6.3-CVE-2009-4029.patch

%define _use_internal_dependency_generator 0
%define __find_provides %{SOURCE10}
%define __find_requires %{SOURCE11}

# run "make check" by default
%{?_without_check: %define _without_check 1}
%{!?_without_check: %define _without_check 0}

%description
Automake is a tool for automatically generating
`Makefile.in' files compliant with the GNU Coding Standards.

This package contains Automake 1.6, an older version of Automake.
You should install it if you need to run automake in a project that
has not yet been updated to work with latest version of Automake.

%prep
%setup -q -n automake-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
rm -f automake.info*
mv automake.texi automake16.texi

%build
# use plain ./configure here to avoid overwriting config.{sub/guess}
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
   --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}
make %{?_smp_mflags}

%check
%if ! %{_without_check}
  make check 
%endif

%install
rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=$RPM_BUILD_ROOT

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

# create this dir empty so we can own it
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal

%post
/sbin/install-info %{_infodir}/automake16.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/automake16.info %{_infodir}/dir || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/*-%{api_version}
%exclude %{_bindir}/automake
%exclude %{_bindir}/aclocal
%{_datadir}/automake-%{api_version}
%{_datadir}/aclocal-%{api_version}
%dir %{_datadir}/aclocal
%{_infodir}/*


%changelog

